Subject: Re: bug#66647: Installation of RPMs produced by ‘guix pack’ is super slow

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 20 Oct 2023 11:33:08 -0400

Hi!

Ludovic Courtès <[email-masked]> writes:

> Hello!
>
> I made friends at work when I told them we could provide an RPM for any
> modern package to install on their old RPM-based distro.  :-)
>
> However, installing those RPMs takes a lot of time.  For example,
> installing the RPM for ‘gmsh’ (closure: 596 MiB; thousands of files)
> takes ~45mn.
>
> Is there something about the metadata generated by (guix rpm) that could
> be improved, or are we hitting some limitation of the RPM format or
> implementation?

What?  That's crazy.  I haven't experimented with it recently, but I
used to generate packages for Jami back when it had a closure of 2 GiB
and it took many seconds, but not that much.

Many RPM is doing extra checks now?

-- 
Thanks,
Maxim